﻿.video-container {
    position: relative;
}

.videoitem {
    width: 100%;
    position: relative;
}

.VideosContent .card-text {
    font-weight: 700;
    margin-bottom: 20px;
}

.VideosContent .VideoType {
    color: #ff6a00;
    font-weight: 500;
    margin-top: 5px;
    margin-bottom: 0;
}

.VideosContent .playicon {
    opacity: 0.7;
    font-size: 36px;
    margin-left: -12px;
    margin-top: -28px;
    cursor: pointer;
}

    .VideosContent .playicon:hover {
        opacity: 1;
    }

.playicon {
    position: absolute;
}

.play-overlay {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
}

    .play-overlay a {
        cursor: pointer;
    }

        .play-overlay a::before {
            background-color: #;
        }

        .play-overlay a::before {
            position: absolute;
            content: '';
            width: 56px;
            height: 56px;
            left: -6px;
            top: -6px;
            transform: translateX(-50%) translateY(-50%);
            background: rgba(255, 150, 0, 0.4);
            z-index: -1;
            border-radius: 50%;
            animation-fill-mode: both;
            animation: witr_squares 1.5s ease-in-out infinite;
        }

.witr_all_color_v i {
    color: #3149E7;
    background-color: #FFFFFF;
}

.play-overlay a {
    display: block;
    position: relative;
    color: #fff;
    height: 42px;
    width: 42px;
    text-align: center;
    line-height: 42px;
    background: rgba(255, 150, 0, 0.8);
    border-radius: 50%;
}

.play-overlay svg {
    color: #fff;
    font-size: 22px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
/* witr_squares_ */
@keyframes witr_squares {
    0% {
        transform: scale(1);
        opacity: 0;
    }

    20% {
        transform: scale(1.24);
        opacity: 1;
    }

    100% {
        transform: scale(2.1);
        opacity: 0;
    }
}


/*Video Modal*/
/*.VideosContent .modal-dialog {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

.VideosContent .modal-content {
    background-color: transparent;
    border: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    height: auto;
    min-height: 100%;
    border-radius: 0;
}*/

.VideosContent .modal-header {
    border-bottom: 0;
    padding: 0;
}

.VideosContent .modal-body {
    text-align: center;
    margin-top: 2%;
    padding: 0;
}


.VideosContent .close {
    position: absolute;
    z-index: 3;
    top: 8%;
    right: 2%;
    display: inline-block;
    width: 36px;
    height: 36px;
    overflow: hidden;
    /*border: none;*/
    /*border: 1px dashed rgba(0,0,0,0.7);*/
    border: 1px dashed rgba(255,255,255,0.7);
    border-radius: 50%;
    padding-top: 2px;
    background: transparent;
    color: rgba(0,0,0,0.7);
    opacity: 0.5;
}

    .VideosContent .close:focus {
        outline: 0;
    }

    .VideosContent .close:before, .VideosContent .close:after {
        content: '';
        position: absolute;
        height: 2px;
        width: 32px;
        top: 50%;
        left: 0;
        margin-top: -1px;
        /*background: rgba(0,0,0,0.7);*/
        background: rgba(255,255,255,0.7);
        border-radius: 5px;
    }

    .VideosContent .close:before {
        transform: rotate( 45deg );
    }

    .VideosContent .close:after {
        transform: rotate( -45deg );
    }



/*iframe {
    height: 100vh;
    width: 100%;
}*/

/*.modal-body {
    padding: 0;
    margin: 0;
}*/

.modal-fullscreen {
    background: transparent;
}

    .modal-fullscreen .modal-content {
        background: transparent;
        border: 0;
        box-shadow: none;
    }

    .modal-fullscreen .modal-dialog {
        margin: 0;
        margin-right: auto;
        margin-left: auto;
        width: 100%;
    }

.modal.in .modal-dialog {
    transform: translateY(50%);
}

.VideosContent .close {
    top: -10%;
}

@media (min-width: 768px) {
    .modal-fullscreen .modal-dialog {
        width: 750px;
    }

    iframe {
        height: 50vh;
        width: 90%;
    }
}

@media (min-width: 992px) {
    .modal-fullscreen .modal-dialog {
        width: 970px;
    }

    .modal.in .modal-dialog {
        transform: translateY(10%);
    }
    .VideosContent .close {
    top: -5%;
}
}

@media (min-width: 1200px) {
    .modal-fullscreen .modal-dialog {
        width: 90%;
        height: 90%;
    }
        .modal.in .modal-dialog {
        transform: translateY(0);
    }
        .VideosContent .close {
    top: 5%;
}
    iframe {
        height: 90vh;
        width: 90%;
    }
}
